Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 28629 - TemplateWizard content step management inconsistent w/ WizardDescriptor
TemplateWizard content step management inconsistent w/ WizardDescriptor
Status: VERIFIED WONTFIX
Product: platform
Classification: Unclassified
Component: Dialogs&Wizards
3.x
All All
: P3 (vote)
: 4.x
Assigned To: Jiri Rechtacek
issues@platform
:
Depends on: 26552
Blocks:
  Show dependency treegraph
 
Reported: 2002-11-11 13:33 UTC by Svata Dedic
Modified: 2008-12-23 14:32 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Svata Dedic 2002-11-11 13:33:21 UTC
The docs about various content panel - related
WizardDescriptor's properties say that the
property's value is taken from the
WizardDescriptor first, if not present then from
the current (or the first) panel.
But TemplateWizard implementation does not work
like that - it does not call
WizardDescriptor.getProperty() at all.
Comment 1 Milos Kleint 2002-12-10 10:17:25 UTC
the same applies to setPanels() for example and other WizardDescriptor
methods.
Calling these 1. has no effect or 2. breaks TemplateWizard.

Comment 2 Jaromir Uhrik 2003-01-06 11:13:10 UTC
Version changed: 4.0 dev -> S1S 4.2
Comment 3 Jiri Rechtacek 2003-01-28 14:59:23 UTC
It's not so critical, decrease to P3. It should be solved for a
release with projects, in framework Wizard API redesign (umbrella
issue 26552).
Comment 4 Marian Mirilovic 2003-12-22 13:33:54 UTC
As described in
http://www.netbeans.org/servlets/ReadMsg?msgId=619519&listName=nbdiscuss
the
current work on projects prototype has been stopped.

This issue should be closed or tracked as non Projects issues.

removed PROJECTS keyword.
Comment 5 Jiri Rechtacek 2004-01-06 09:09:49 UTC
No changes planned to 3.6.
Comment 6 Jiri Rechtacek 2004-06-30 13:39:09 UTC
The TemplateWizard hasn't been used directly in promoD, the
InstantiatingIterator is the replacement of TemplateWizard
functionality. Not planned be to fixed.
Comment 7 Tomas Danek 2005-07-11 10:43:21 UTC
Verifying (because TemplateWizard is out of date)
Comment 8 Quality Engineering 2008-12-23 14:32:10 UTC
This issue had *1 votes* before move to platform component


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo